playMaker

Author Topic: Warning: UnityEditor.Build.IPreprocessBuild is obsolete[SOLVED]  (Read 735 times)

WabbysLand

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
Warning: UnityEditor.Build.IPreprocessBuild is obsolete[SOLVED]
« on: October 22, 2019, 08:27:51 AM »
Hello,

Since I updated Playmaker in my project (I didn't do an update for a long time), I have a warning (yellow alert in the console) :

Assets/PlayMaker/Editor/PlayMakerBuildCallbacks.cs(33,18): warning CS0618: `UnityEditor.Build.IPreprocessBuild' is obsolete: `Use IPreprocessBuildWithReport instead'

I'm working in Unity 2018.2.21
« Last Edit: October 23, 2019, 07:50:02 AM by djaydino »

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 4817
    • View Profile
    • jinxtergames
Re: Warning: UnityEditor.Build.IPreprocessBuild is obsolete
« Reply #1 on: October 22, 2019, 03:34:11 PM »
Hi.
Not to worry.

Yellow warning are mainly saying that in a feature unity version a part of code will be removed and should be replaced.

For your current version there should be no problem.

if you update to a later unity version you should also re update playmaker,
as there are different latest PlayMaker versions depending on the used Unity version.

WabbysLand

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
Re: Warning: UnityEditor.Build.IPreprocessBuild is obsolete
« Reply #2 on: October 23, 2019, 01:12:08 AM »
Ok, thank you very much.

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 4817
    • View Profile
    • jinxtergames
Re: Warning: UnityEditor.Build.IPreprocessBuild is obsolete
« Reply #3 on: October 23, 2019, 07:36:42 AM »
Hi.
Did it work?

WabbysLand

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
Re: Warning: UnityEditor.Build.IPreprocessBuild is obsolete
« Reply #4 on: October 23, 2019, 07:47:00 AM »
Until now, yes :-)